package com.zcxk.charge.xxl.enums;

import lombok.Getter;

/**
 * 报警设置类型
 * @author lihui
 * @version V1.0
 * @date 2021/5/28
 **/
@Getter
public enum DataAlarmTypeEnum {

    /**
     * 最新值
     */
    LATEST_VALUE(1, "最新值"),

    /**
     * 日合计值
     */
    DAY_SUM_VALUE(2, "日合计值"),

    /**
     * 月合计值
     */
    MONTH_SUM_VALUE(3, "月合计值")
    ,
    ;

    /**
     * 类型
     */
    private int type;

    /**
     * 值
     */
    private String msg;

    DataAlarmTypeEnum(int type, String msg){
        this.type = type;
        this.msg = msg;
    }
}
